Package org.apache.wiki.cache

# Class CacheInfo

java.lang.Object
org.apache.wiki.cache.CacheInfo

public class CacheInfo extends Object
Simple pojo that holds cache information.

## Constructor Summary

Constructors
Constructor
Description
`CacheInfo(String name, long maxElementsAllowed)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getHits()`
`long`
`getMaxElementsAllowed()`
`long`
`getMisses()`
`String`
`getName()`
`void`
`hit()`
`void`
`miss()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CacheInfo

public CacheInfo(String name, long maxElementsAllowed)

## Method Details

### hit

public void hit()

### miss

public void miss()

### getName

public String getName()

### getMisses

public long getMisses()

### getHits

public long getHits()

### getMaxElementsAllowed

public long getMaxElementsAllowed()